import os
import sys

from loguru import logger as _logger

_logger.remove()

level = os.getenv("LOG_LEVEL", "INFO").upper()
format_str = (
    "<green>{level: <8}</green>"
    " <cyan>{name}:{function}:{line}</cyan>"
    " - <level>{message}</level>"
)

_logger.add(
    sys.stderr,
    level=level,
    format=format_str,
    enqueue=False,
    backtrace=False,
    diagnose=False,
)

logger = _logger

__all__ = ["logger"]
